import {__decorate,__param,__metadata}from'tslib';import {injectable,inject,optional}from'inversify';import {Connection}from'mongoose';import {BaseRepository}from'@common-stack/store-mongo';import'../models/city.js';import {CountryModelFunc}from'../models/country.js';import'../models/state.js';let CountryRepository = class CountryRepository extends BaseRepository {
    constructor(db, logger, options) {
        super(CountryModelFunc, db, logger, options);
    }
};
CountryRepository = __decorate([
    injectable(),
    __param(0, inject('MongoDBConnection')),
    __param(1, inject('Logger')),
    __param(2, inject('IMongoOptions')),
    __param(2, optional()),
    __metadata("design:paramtypes", [Connection, Object, Object])
], CountryRepository);export{CountryRepository};